<?php

namespace Drupal\alt_text_validation;

use Drupal\Core\Config\Entity\ConfigEntityListBuilder;
use Drupal\Core\Entity\EntityInterface;

/**
 * Manages the Alt-Text Rule List Builder.
 */
class AltTextRuleListBuilder extends ConfigEntityListBuilder {

  /**
   * {@inheritdoc}
   */
  public function buildHeader(): array {
    $header['id'] = $this->t('Machine name');
    $header['label'] = $this->t('Name');
    $header['rule_type'] = $this->t('Rule type');
    $header['content_char_limit'] = $this->t('Content character limit');
    $header['violation_action'] = $this->t('Violation Action');

    return $header + parent::buildHeader();
  }

  /**
   * {@inheritdoc}
   */
  public function buildRow(EntityInterface $entity): array {
    /** @var \Drupal\alt_text_validation\AltTextRuleInterface $entity */
    $row['id'] = $entity->id();
    $row['label'] = $entity->label();
    $row['rule_type'] = $entity->getRuleType();
    $row['violation_action'] = $entity->getViolationAction();
    $row['content_char_limit'] = $entity->getContentCharLimit();

    return $row + parent::buildRow($entity);
  }

}
